package intrinsic.mx.controls;

public class RadioButtonGroup extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.core.IMXMLObject {

	/** Accessors */
	public boolean enabled;
	public int numRadioButtons;
	public String labelPlacement;
	public Object selectedValue;
	public intrinsic.mx.controls.RadioButton selection;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public RadioButtonGroup() {
}

public RadioButtonGroup(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void removeInstance(intrinsic.mx.controls.RadioButton arg0);
public native void setSelection(intrinsic.mx.controls.RadioButton arg0);
public native void setSelection(intrinsic.mx.controls.RadioButton arg0, boolean arg1);
public native void addInstance(intrinsic.mx.controls.RadioButton arg0);
public native void initialized(Object arg0, String arg1);
public native intrinsic.mx.controls.RadioButton getRadioButtonAt(int arg0);

}
